3.1 UPgrade bombs out at SQL Scripts.

Get help with installation and running phpBB 3.1.x here. Please do not post bug reports, feature requests, or extension related questions here.
Ideas Centre
Forum rules
READ: phpBB.com Board-Wide Rules and Regulations

NOTE: phpBB 3.1.x is at its End of Life stage and support will NOT be provided after July 1st, 2018.
Locked
User avatar
larryl9797
Registered User
Posts: 29
Joined: Thu Feb 15, 2007 2:07 pm

3.1 UPgrade bombs out at SQL Scripts.

Post by larryl9797 »

mysql.GIF
mysql.GIF (2.3 KiB) Viewed 412 times
Support Request Template
What version of phpBB are you using? phpBB 3.1.3 Stable
What is your board's URL? http://dev.ccsufans.com/TEST_SITE/phpBB3
Who do you host your board with? 1and1
How did you install your board? I used the download package from phpBB.com
What is the most recent action performed on your board? Update from a previous version of phpBB3
Is registration required to reproduce this issue? No
Do you have any MODs installed? No
What version of phpBB3 did you update from? phpBB 3.0.0
What styles do you currently have installed? prosilver only
What language(s) is your board currently using? US English
Which database type/version are you using? MySQL 5
What is your level of experience? Comfortable with PHP and phpBB
When did your problem begin? Upgrade path from 3.0.13 to 3.1 ( Current stable version ) I created a dev site to check the upgrade path, copied my files from prod to dev. backuped and restored my DB to a new one. Modified config.php to point to new DB.
Please describe your problem. I have had this board since the PHPBB2.0 days and have been updating and patching since then. I point to the install/database_update.php and i am getting this error.
Generated by SRT Generator

I am getting a few problems when pointing to upgrade Path......

1. the upgrade reports that I am on MYSQL4 - I am on 5
2. mysql error when updating DB

Database type :: mysql4
Previous version :: 3.0.13-PL1
Installing Data: \phpbb\db\migration\data\v310\avatar_types.
SQL ERROR [ mysql4 ]
Incorrect integer value: 'avatar.driver.upload' for column 'user_avatar_type' at row 23 [1366]
SQL
UPDATE phpbb_users SET user_avatar_type = 'avatar.driver.upload' WHERE user_avatar_type = '1'

..and..

Unknown column 'field_show_on_pm' in 'field list' [1054]

INSERT INTO phpbb_profile_fields (field_name, field_type, field_ident, field_length, field_minlen, field_maxlen, field_novalue, field_default_value, field_validation, field_required, field_show_novalue, field_show_on_reg, field_show_on_pm, field_show_on_vt, field_show_profile, field_hide, field_no_view, field_active, field_order) VALUES ('phpbb_interests', 'profilefields.type.text', 'phpbb_interests', '3|30', '2', '500', '', '', '.*', 0, 0, 0, 0, 0, 1, 0, 0, 1, 1)

My guess is that I have some left over DB entries / mods that need to be extracted. Where does the upgrade script pull out DB information? My guess is that since my installation has been around since 06 I have a left over entry in there too...

thanks!
Last edited by larryl9797 on Thu Mar 26, 2015 11:37 am, edited 1 time in total.
User avatar
Oyabun1
Former Team Member
Posts: 23162
Joined: Sun May 17, 2009 1:05 pm
Location: Australia
Name: Bill

Re: 3.1 UPgrade bombs out at SQL Scripts.

Post by Oyabun1 »

larryl9797 wrote:1. the upgrade reports that I am on MYSQL4 - I am on 5
That is only an internal value used for applying the appropriate schema. It does not reflect the actual MySQL version.
larryl9797 wrote:What version of phpBB are you using? phpBB 3.1.3-RC2
What version of phpBB3 did you update from? phpBB 3.0.0
When did your problem begin? Upgrade path from 3.0.13 to 3.1 ( Current stable version )
Just to clarify:

What version did you have before starting this upgrade?

Which version are you upgrading to? (There is no point in upgrading to a release candidate - RC2 when the stable version is already released)
                      Support Request Template
3.0.x: Knowledge Base Styles Support MOD Requests
3.1.x: Knowledge BaseStyles SupportExtension Requests
User avatar
larryl9797
Registered User
Posts: 29
Joined: Thu Feb 15, 2007 2:07 pm

Re: 3.1 UPgrade bombs out at SQL Scripts.

Post by larryl9797 »

What version did you have before starting this upgrade?
I am currently at version -3.0.13-PL1 My production board is fully functioning. I am testing the upgrade on a dev site.
Which version are you upgrading to? (There is no point in upgrading to a release candidate - RC2 when the stable version is already released)
I am upgrading to 3.1.3 (I have the wrong version in the SRT... and have modified it.)
User avatar
Lumpy Burgertushie
Registered User
Posts: 68173
Joined: Mon May 02, 2005 3:11 am
Contact:

Re: 3.1 UPgrade bombs out at SQL Scripts.

Post by Lumpy Burgertushie »

you should use the database cleaner in the Support Toolkit to remove any and all MOD entries from the 3.0.12 database.
then follow the standard instructions for upgrading to 3.1

remove all the 3.0.12files from your server except for the config.php file, the files folder, the images folder and the store folder.

then upload all new 3.1 files/folder except for those listed above.
then run the install/database_update.php file and keep clicking the continue button until it finishes.
this could take a long time.

delete the folder named install and you are done.
'
robert
I'm baaaaaccckkkk. still doing work on donation basis. PM your needs.

Premium phpBB 3.3 Styles by PlanetStyles.net

If nobody is in the forest, does a tree really fall?
User avatar
larryl9797
Registered User
Posts: 29
Joined: Thu Feb 15, 2007 2:07 pm

Re: 3.1 UPgrade bombs out at SQL Scripts.

Post by larryl9797 »

The DB cleaner tool did the trick! Thanks for your help my board upgraded clean and is up and running... although.........

I have one small issue in the ACP --> USers and groups tab pops an error It looks like PHP is looking for a file that does not exist.....

Code: Select all

Cannot find module ./../includes/acp/acp_change_email.php

BACKTRACE

FILE: (not given by php)
LINE: (not given by php)
CALL: msg_handler()

FILE: [ROOT]/includes/functions_module.php
LINE: 571
CALL: trigger_error()

FILE: [ROOT]/adm/index.php
LINE: 81
CALL: p_master->load_active()
I did look for acp_change_email.php in the 3.1 install package and it does not exist there. Can I get some help in resolving this?

thanks !!
User avatar
Lumpy Burgertushie
Registered User
Posts: 68173
Joined: Mon May 02, 2005 3:11 am
Contact:

Re: 3.1 UPgrade bombs out at SQL Scripts.

Post by Lumpy Burgertushie »

that must be left over from a MOD of some kind.
are you sure you replaced all the 3.0 files with 3.1 files except for those noted in the instructions?


robertr
I'm baaaaaccckkkk. still doing work on donation basis. PM your needs.

Premium phpBB 3.3 Styles by PlanetStyles.net

If nobody is in the forest, does a tree really fall?
User avatar
A_Jelly_Doughnut
Former Team Member
Posts: 34457
Joined: Sat Jan 18, 2003 1:26 am
Location: Where the Rivers Run
Contact:

Re: 3.1 UPgrade bombs out at SQL Scripts.

Post by A_Jelly_Doughnut »

larryl9797 wrote:The DB cleaner tool did the trick! Thanks for your help my board upgraded clean and is up and running... although.........

I have one small issue in the ACP --> USers and groups tab pops an error It looks like PHP is looking for a file that does not exist.....
You can remove the offending module(s) in ACP -> System -> Administration Control Panel. IIRC you need to delete it (red X icon), not disable it.
A Donut's Blog
"Bach's Prelude (Cello Suite No. 1) is driving Indiana country roads in Autumn" - Ann Kish
Locked

Return to “[3.1.x] Support Forum”